package fr.username404.snowygui.gui.feature

import fr.username404.snowygui.gui.feature.ButtonInfo.Companion.Type
import kotlinx.serialization.Serializable
import net.minecraft.client.Minecraft

@Serializable
@ButtonInfo(Category.MACROS, kind = Type.CLICK)
data class Macro(
    @JvmField var command: String,
    override var title: String = command
): ButtonImpl() {
    override fun execAction() = Minecraft.getInstance().player!!.chat("/$command")
}