package fr.username404.snowygui.gui

import com.mojang.blaze3d.vertex.PoseStack
import net.minecraft.client.Minecraft
import fr.username404.snowygui.gui.feature.Colors

object FontUtil {
    fun drawScaled(stack: PoseStack, text: String, x: Double, y: Double, scaleFactor: Float, color: Colors = Colors.BLACK) {
        stack.scale(scaleFactor, scaleFactor, scaleFactor)
        Minecraft.getInstance().font.draw(stack, text, (x / scaleFactor).toFloat(), (y / scaleFactor).toFloat(), color.hexValue)
        val factorToOriginal = 1F / scaleFactor
        stack.scale(factorToOriginal, factorToOriginal, factorToOriginal)
    }
}
